accrue.analysis.pointer

## Class PointsToEngine

- java.lang.Object
- - accrue.analysis.pointer.PointsToEngine

- Direct Known Subclasses:
    PointsToEngineMultiThread, PointsToEngineSingleThread, PointsToEngineTimeout

      public abstract class PointsToEngine
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PointsToEngine.PointsToTimeoutException`
    `static class` | `PointsToEngine.StmtAndContext`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PointsToEngine()`
    `` | `PointsToEngine(HeapAbstractionFactory haf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkReachedFixedpoint(StmtRegistrar registrar, PointsToGraph g)`
    `protected void` | `checkTimeout()`
    `HeapAbstractionFactory` | `heapAbstractionFactory()`
    `void` | `setTimeout(java.lang.Long timeout_millisecs)`
    `PointsToGraph` | `solve(StmtRegistrar registrar, polyglot.frontend.ExtensionInfo extInfo)`
    `protected abstract PointsToGraph` | `solveImpl(StmtRegistrar registrar, polyglot.frontend.ExtensionInfo extInfo)`
    `protected void` | `startSolution()`
    `protected java.lang.Long` | `startTime()`
    `protected java.lang.Long` | `timeout()`
    `protected java.lang.Long` | `timeoutTime()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PointsToEngine

          protected PointsToEngine()

    - #### PointsToEngine

          public PointsToEngine(HeapAbstractionFactory haf)

  - ### Method Detail

    - #### startTime

          protected java.lang.Long startTime()

    - #### timeoutTime

          protected java.lang.Long timeoutTime()

    - #### timeout

          protected java.lang.Long timeout()

    - #### setTimeout

          public void setTimeout(java.lang.Long timeout_millisecs)

    - #### heapAbstractionFactory

          public HeapAbstractionFactory heapAbstractionFactory()

    - #### startSolution

          protected void startSolution()

    - #### checkTimeout

          protected void checkTimeout()

    - #### solve

          public final PointsToGraph solve(StmtRegistrar registrar,
                            polyglot.frontend.ExtensionInfo extInfo)

    - #### solveImpl

          protected abstract PointsToGraph solveImpl(StmtRegistrar registrar,
                                polyglot.frontend.ExtensionInfo extInfo)

    - #### checkReachedFixedpoint

          protected void checkReachedFixedpoint(StmtRegistrar registrar,
                                    PointsToGraph g)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`